Skip to Content
Enderdash

Update Status Page Config

POST
/organizations/updateStatusPageConfig

Authorization

cookie__Secure-enderdash.session_token<token>

Signed-in Enderdash browser session cookie.

Request Body

application/json
  1. body
organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
description?|null
enabled*boolean
servers*array<>
Itemsitems <= 200
showServerPlayers*boolean
showTotalPlayers*boolean
showTps*boolean
showUptime*boolean
title?|null

Response Body

OK

Example Request
curl -X POST 'https://app.enderdash.com/api/http/organizations/updateStatusPageConfig' \
  -H 'Content-Type: application/json' \
  -d '{
  "enabled": true,
  "servers": [
    {
      "includeInTotalPlayers": true,
      "position": 0,
      "serverId": "10d2345a-e43d-463d-830e-4f5b19b60d41",
      "showOnlineState": true,
      "showPlayerCount": true,
      "showTps": true,
      "visible": true
    }
  ],
  "showServerPlayers": true,
  "showTotalPlayers": true,
  "showTps": true,
  "showUptime": true
}'
Example Response
Empty